<ion-content>
    <ion-grid>
        <ion-toolbar class="ion-no-margin">
            <ion-buttons slot="start">
                <ion-back-button defaultHref="login"></ion-back-button>
            </ion-buttons>
        </ion-toolbar>

        <ion-row class="ion-justify-content-center ion-margin-top">
            <ion-col size="auto" class="ion-no-padding">
                <app-img
                    src="assets/img/confirm.svg"
                    alt="confirmer"
                    title="confirmer"
                    [errorSrc]="cardMedia"
                >
                </app-img>
            </ion-col>
        </ion-row>

        <ion-text class="ion-text-center text-secondary primary-color">
            <h2>Confirmation</h2>
        </ion-text>

        <ion-row class="ion-justify-content-center ion-margin-horizontal">
            <ion-text class="ion-text-center">
                <h6>
                    Nous vous avons envoyé un code de confirmation dans votre
                    email. Verifiez votre mail.
                </h6>
            </ion-text>
        </ion-row>

        <form [formGroup]="validationForm" name="validationForm" novalidate>
            <ion-row class="ion-justify-content-center my-16">
                <ion-col size="11">
                    <ion-input
                        type="text"
                        class="ion-input"
                        placeholder="Code de confirmation"
                        formControlName="codeConfirm"
                        data-testid="code-confirm"
                    >
                        <ion-icon
                            name="lock-closed-outline"
                            size="default"
                            fill="clear"
                            class="ion-margin"
                            color="primary"
                        ></ion-icon>
                    </ion-input>
                </ion-col>
            </ion-row>

            <div
                *ngIf="submit.getValue() && validationForm.get('codeConfirm').errors?.required"
                class="invalid-feedback"
                data-testid="code-confirm-errors"
            >
                Aucun code n'a été saisi
            </div>

            <ion-row class="ion-justify-content-center">
                <ion-col size="11">
                    <app-button
                        title="Confirmer"
                        data-testid="validation"
                        [loading]="loading.getValue()"
                        class="button--radius-10 size-16"
                        size="large"
                        expand="full"
                        color="primary"
                        shape="round"
                        (onClick)="onSubmit()"
                    ></app-button>
                </ion-col>
            </ion-row>
        </form>
    </ion-grid>
</ion-content>

<ion-footer class="ion-no-border">
    <ion-grid>
        <ion-row
            class="ion-justify-content-center ion-align-items-center ion-margin text-secondary"
        >
            <h6>
                <ion-text class="medium text-primary s_small"
                    >Je n'ai pas reçu de mail de code de confirmation.</ion-text
                >

                <ion-text
                    class="text-secondary ion-wrap"
                    (click)="resendconfirmation()"
                    (keyPress)="resendconfirmation()"
                    color="primary"
                    data-test-id="resend"
                >
                    Renvoyer
                </ion-text>
            </h6>
        </ion-row>
    </ion-grid>
</ion-footer>
